var cmp06900alteracao_solicitacao_comprasController = function(General, ScreenService, MessageService) {
	
	this.filterUnit = function (field) {
		field.dataSourceFilter = [
			{
				'name': 'CDOPERADOR',
				'operator': '=',
				'value': getLocalVar('CDOPERADOR')
			},
			{
				'name': 'CDGRUPFILI',
				'operator': '=',
				'value': field.widget.currentRow.CDGRUPFILI
			}
		];
		field.reload();
	};
	
	this.filterNumb = function(field){ 
	    field.dataSourceFilter = [
			{
				'name': 'CDAGRUPFILI',
				'operator': '=',
				'value': field.widget.currentRow.CDGRUPFILI
			},
			{
				'name': 'CDFILSOLI',
				'operator': '=',
				'value': field.widget.currentRow.NMFILIAL
			},
			{
				'name': 'TCDFILSOLI',
				'operator': '=',
				'value': 'T'
			}
		];
		field.reload();
	};
	
	this.selectTodosLista = function (field) {
		if(field.checked) {
			field.widget.getField(field.name.substring(2,field.name.length)).clearValue();
			field.widget.getField(field.name.substring(2,field.name.length)).readOnly = true;
			field.widget.getField(field.name.substring(2,field.name.length)).validations = {};
		} else {
			field.widget.getField(field.name.substring(2,field.name.length)).readOnly = false;
			if (field.name != 'T_NMGRUPFILI') 
				field.widget.getField(field.name.substring(2,field.name.length)).validations = { "required": {} };
		}
	};
	
	this.notApply = function (field) {
		if(field.checked) {
			field.widget.getField(field.name.substring(2,field.name.length)).clearValue();
			field.widget.getField(field.name.substring(2,field.name.length)).readOnly = true;
			field.widget.getField(field.name.substring(2,field.name.length)).validations = {};
		} else {
			field.widget.getField(field.name.substring(2,field.name.length)).readOnly = false;
			field.widget.getField(field.name.substring(2,field.name.length)).validations = { "required": {} };
		}
	};
	
	this.validateDtiniDtfim = function(field) {
		var fieldName = field.name === 'DTSOLINI' ? 'DTSOLFIM': 'DTENTRFIM';
		if(field.value()!== "") {
			field.widget.getField(fieldName).validations = { "required" : {} };
			field.widget.getField(fieldName).readOnly = false;
			field.widget.getField(fieldName).minDate = field.value();
		} else {
			field.widget.getField(fieldName).validations = {};
			field.widget.getField(fieldName).readOnly = true;
		}
	};
	
	this.verifyProdOrder = function(field){
		var row = field.widget.currentRow;
		if (!(General.comparaPratoProduto(row.INI_CDPROD, row.FIM_CDPROD, getLocalVar('CDPICTPROD')))){
			MessageService.shoeMessageByCode("PRODUTO_INICIAL_MENOR_IGUAL_FINAL", "ERROR");
			row.FIM_PROD = "";
		}
	};
	
};

Configuration(function(ContextRegister) {
    ContextRegister.register('cmp06900alteracao_solicitacao_comprasController', cmp06900alteracao_solicitacao_comprasController);
});